import { defineComponent as d, mergeModels as p, useModel as f, createElementBlock as m, openBlock as c, createVNode as u, unref as o } from "vue";
import { useI18n as _ } from "vue-i18n";
import { d as i, l as b } from "./start-BYfL32Oe.mjs";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
const V = { class: "extension-config d-flex flex-wrap" }, s = /* @__PURE__ */ d({
  __name: "BooleanToStringExtension",
  props: /* @__PURE__ */ p({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(n) {
    const e = f(n, "modelValue"), { t: a } = _();
    return (g, t) => (c(), m("div", V, [
      u(o(i), {
        modelValue: e.value.trueContent,
        "onUpdate:modelValue": t[0] || (t[0] = (l) => e.value.trueContent = l),
        label: o(a)("datahub-plugin.etl.BooleanToString.TrueValueContent"),
        rows: "10",
        class: "extension-config__input"
      }, null, 8, ["modelValue", "label"]),
      u(o(i), {
        modelValue: e.value.falseContent,
        "onUpdate:modelValue": t[1] || (t[1] = (l) => e.value.falseContent = l),
        label: o(a)("datahub-plugin.etl.BooleanToString.FalseValueContent"),
        rows: "10",
        class: "extension-config__input"
      }, null, 8, ["modelValue", "label"])
    ]));
  }
});
function r(n) {
  const e = n;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "datahub-plugin": {
          etl: {
            BooleanToString: {
              TrueValueContent: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Content for value true" } },
              FalseValueContent: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Content for value false" } }
            }
          }
        }
      },
      "de-DE": {
        "datahub-plugin": {
          etl: {
            BooleanToString: {
              TrueValueContent: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Inhalt für den Wert wahr" } },
              FalseValueContent: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Inhalt für den Wert falsch" } }
            }
          }
        }
      }
    }
  });
}
typeof r == "function" && r(s);
const I = /* @__PURE__ */ b(s, [["__scopeId", "data-v-e5c1eae1"]]);
export {
  I as default
};
